Imagick::mapImage
Imagick::medianFilterImage
The Imagick class
PHP Manual

# Imagick::matteFloodfillImage

(No version information available, might be only in CVS)

Imagick::matteFloodfillImage — Changes the transparency value of a color

### Description

bool Imagick::matteFloodfillImage ( float `$alpha` , float `$fuzz` , mixed `$bordercolor` , int `$x` , int `$y` )
Warning

This function is currently not documented; only its argument list is available.

Changes the transparency value of any pixel that matches target and is an immediate neighbor. If the method FillToBorderMethod is specified, the transparency value is changed for any neighbor pixel that does not match the bordercolor member of image.

### Parameters

`alpha`

  The level of transparency: 1.0 is fully opaque and 0.0 is fully transparent.

`fuzz`

  The fuzz member of image defines how much tolerance is acceptable to consider two colors as the same.

`bordercolor`

  An ImagickPixel object or string representing the border color.

`x`

  The starting x coordinate of the operation.

`y`

  The starting y coordinate of the operation.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

### ChangeLog

Version | Description
--- | ---
2.1.0 | Now allows a string representing the color as the third parameter. Previous versions allow only an ImagickPixel object.

Imagick::mapImage
Imagick::medianFilterImage
The Imagick class
PHP Manual